Ir al contenido principal

Este explorador ya no se admite.

Actualice a Microsoft Edge para aprovechar las características y actualizaciones de seguridad más recientes, y disponer de soporte técnico.

Descargar Microsoft Edge Más información sobre Internet Explorer y Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Redteams

Create a redteam run

POST /redTeams/runs:run

Submits a new redteam run for execution with the provided configuration.

Parámetros de encabezado

Foundry-Features enum requerido

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

RedTeams=V1Preview

Parámetros de consulta

api-version string requerido

The API version to use for this operation.

Cuerpo de la solicitud

Redteam to be run

Content-Type: application/json
id string requerido

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel requerido

Abstract class for target configuration.

Uno de los siguientes:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum requerido
AzureOpenAIModel
modelDeploymentName string requerido

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Respuestas

The request has succeeded and a new resource has been created as a result.

Cuerpo

Content-Type: application/json
id string requerido

Identifier of the red team run.

displayName string

Name of the red-team run.

numTurns integer

Number of simulation rounds.

attackStrategies AttackStrategy[]

List of attack strategies or nested lists of attack strategies.

simulationOnly boolean

Simulation-only or Simulation + Evaluation. If true the scan outputs conversation not evaluation result. The service defaults to false if a value is not specified by the caller.

riskCategories RiskCategory[]

List of risk categories to generate attack objectives for.

applicationScenario string

Application scenario for the red team operation, to generate scenario specific attacks.

tags object

Red team's tags. Unlike properties, tags are fully mutable.

[key: string] string
properties object

Red team's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.

[key: string] string
status string

Status of the red-team. It is set by service and is read-only.

target AzureOpenAIModel requerido

Abstract class for target configuration.

Uno de los siguientes:
AzureOpenAIModel AzureOpenAIModelConfiguration

Azure OpenAI model configuration. The API version would be selected by the service for querying the model.

type enum requerido
AzureOpenAIModel
modelDeploymentName string requerido

Deployment name for AOAI model. Example: gpt-4o if in AIServices or connection based connection_name/deployment_name (e.g. my-aoai-connection/gpt-4o).

Client error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Cuerpo

Content-Type: application/json
error OpenAI.Error requerido
code string | null requerido
message string requerido
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Cualquiera de las siguientes:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string requerido

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Solicitar

POST /redTeams/runs:run HTTP/1.1

Respuesta

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
es-es
Sus opciones de privacidad
  • Declinación de responsabilidades de IA
  • Versiones anteriores
  • Blog
  • Contribuir
  • Privacidad
  • Privacidad de estado del consumidor
  • Términos de uso
  • Marcas comerciales
  • © Microsoft 2026